Subject: Re: Call Audits - 10 Dec
From: Pritish Nandi <[email-masked]>
To: "Heta Nyrhinen, HNYR" <[email-masked]>
Cc: "Sara Aknooni, SRAK" <[email-masked]>, deeksha <[email-masked]>
Date: Thu, 10 Dec 2020 08:14:04 -0700 (MST)

Hi Heta, 

Thank you for the feedback. Hopefully, with all hands on the deck, we would be able to resolve this and have great customer service calls. 

Regards, 
Pritish 

From: "Heta Nyrhinen, HNYR" <[email-masked]> 
To: "Pritish Nandi" <[email-masked]>, "Sara Aknooni, SRAK" <[email-masked]> 
Cc: "deeksha" <[email-masked]> 
Sent: Thursday, December 10, 2020 8:42:05 PM 
Subject: RE: Call Audits - 10 Dec 

Just to add to this that I also listened to some of Antonio’s and Joaquim’s calls today. On those calls they were capable to wrap up much faster than previously and promised to get back to the customer when they didn’t know the answer. They sounded a bit more confident. 

As a note for all, we should emphasize again that we only need to collect the customer’s contact details, if a follow up call or email is needed. If the call is a first time resolution, no need to take the details at all. So it’s key to listen to the issue first and try to resolve that. 

Thank you for your efforts Pritish! 

Best regards​​ 

Heta Nyrhinen 
Project Manager 
Global Support and Service 
+45 4470 0148 
+45 2213 1261 

EPOS Group A/S​ · Industriparken 27 · DK-2750 Ballerup · Denmark 

[ https://www.eposaudio.com/en/dk | 
 ] 

	

[ https://www.eposaudio.com/ | eposaudio.com ] · Follow us here 	

​ [ https://www.facebook.com/eposenterprise ] [ https://twitter.com/eposaudio?lang=da ] [ https://www.linkedin.com/company/eposaudio/mycompany/ ] [ https://www.instagram.com/eposaudio/ ] [ https://www.youtube.com/channel/UCKZSbHA_gj3OKwPnKa4cNaA ] 

From: Pritish Nandi <[email-masked]> 
Sent: 10. december 2020 16:02 
To: Sara Aknooni (SRAK) <[email-masked]> 
Cc: Heta Nyrhinen (HNYR) <[email-masked]>; deeksha <[email-masked]> 
Subject: Call Audits - 10 Dec 

		

This message comes from outside of the corporate network. Please do not click links or open attachments unless you recognize the source of this e-mail and know the content is safe. 

Hi Sara, 

I have done some call audits today for Joaquim, Grace, and Siddhartha and shared feedback with the agents. I know the sample size is very less, however, due to limited time I was unable to complete more. 

I will keep increasing the sample size and share my feedback with the team regularly. Thank you for your understanding. 

Also, do you have any format which you want me to use for the call audits. 

Regards, 

Pritish Nandi